#### Previous topic

scipy.interpolate.BPoly.extend

#### Next topic

scipy.interpolate.BPoly.antiderivative

# scipy.interpolate.BPoly.derivative

`BPoly.``derivative`(nu=1)

  Construct a new piecewise polynomial representing the derivative.

  Parameters:

  nu : int, optional

  > Order of derivative to evaluate. (Default: 1) If negative, the antiderivative is returned.

  Returns:

  bp : BPoly

  > Piecewise polynomial of order k2 = k - nu representing the derivative of this polynomial.